MACTELNET(1)

NAME
mactelnet - A tool for telneting via MAC addresses

SYNOPSIS
mactelnet [options] <MAC-Address|hostname>

DESCRIPTION
This tool enables you to telnet other RouterOS or MAC-Telnetd enabled devices. You can connect to either a hostname or a MAC address. If specified, the hostname (identity) will be looked up via MNDP discovery.

OPTIONS
These programs follow the usual GNU command line syntax. A summary of options is included below.

-l  This will discover RouterOS or MAC-Telnetd enabled devices. It will list the MAC-address software version, and uptime of every device or machine it discovers. To exit the discovery, use Control + C .

-n  Do not use broadcast packets. A tad less insecure but requires root privileges. This means that ethernet packets will have the specified mac-address as the packet destination, instead of using the ethernet broadcast address.

-t  Amount of seconds to wait for a response on each interface. If you have several network interfaces, this is the timeout value per interface.

-u  Specify username. Without this option, you will need to enter the username in a interactive prompt.

-p  Specify password. Without this option, you will need to enter the password in a interactive prompt.

-a  Specify the path of the autologin configuration file. The default path for this file is ~/.mactelnet. The format for this file is standard INI file layout.

-A  Do not use the autologin configuration file. Interactively ask for username and password.

-q  Quiet mode.

-o  Do not send client public key during the authentication phase. It will force the old MD5 (pre 6.43) algorithm to be used.

-h  Show summary of options.

-v  Show version of program.

SEE ALSO
mndp(1), mactelnetd(8), macping(1).

AUTHOR
mactelnet was written by Håkon Nessjøen <haakon.nessjoen@gmail.com>.

This manual page was written by Håkon Nessjøen <haakon.nessjoen@gmail.com>, for the Debian project (and may be used by others).